Index

A B C D E F G H I J K L M N O P Q R S T U V W X _ 
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form

A

abandonedConfig - Variable in class org.atmosphere.pool.UnboundedApachePoolableProvider
 
ABORT - Enum constant in enum class org.atmosphere.cpr.BroadcastFilter.BroadcastAction.ACTION
Return ABORT to stop invoking any remaining BroadcastFilter and to discard the message for being delivered to AtmosphereHandler.onStateChange(AtmosphereResourceEvent).
AbstractBroadcasterCache - Class in org.atmosphere.cache
Abstract BroadcasterCache which is used to implement headers, query parameters or session based caching.
AbstractBroadcasterCache() - Constructor for class org.atmosphere.cache.AbstractBroadcasterCache
 
AbstractBroadcasterProxy - Class in org.atmosphere.util
Abstract Broadcaster that delegates the internal processing to a proxy.
AbstractBroadcasterProxy() - Constructor for class org.atmosphere.util.AbstractBroadcasterProxy
 
AbstractReflectorAtmosphereHandler - Class in org.atmosphere.handler
Simple AtmosphereHandler that reflect every call to Broadcaster.broadcast(java.lang.Object), eg sent the broadcasted event back to the remote client.
AbstractReflectorAtmosphereHandler() - Constructor for class org.atmosphere.handler.AbstractReflectorAtmosphereHandler
 
AbstractReflectorAtmosphereHandler.Default - Class in org.atmosphere.handler
ACCESS_CONTROL_ALLOW_CREDENTIALS - Static variable in interface org.atmosphere.cpr.HeaderConfig
 
ACCESS_CONTROL_ALLOW_ORIGIN - Static variable in interface org.atmosphere.cpr.HeaderConfig
 
acquire() - Method in class org.atmosphere.cpr.AtmosphereSession
Retrieve the AtmosphereResource associated with this session.
action() - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
Return the Action which represent the state of the response, e.g.
action() - Method in record class org.atmosphere.cpr.BroadcastFilter.BroadcastAction
Returns the value of the action record component.
action(E) - Method in interface org.atmosphere.cpr.AsyncSupport
Process an Action from an ActionEvent operation like suspend, resume or timed out.
action(AtmosphereResourceImpl) - Method in class org.atmosphere.container.BlockingIOCometSupport
 
action(AtmosphereResourceImpl) - Method in class org.atmosphere.container.Servlet30CometSupport
 
action(AtmosphereResourceImpl) - Method in class org.atmosphere.cpr.AsynchronousProcessor
 
Action - Record Class in org.atmosphere.cpr
An Action is used by AtmosphereInterceptor, AsyncSupport and AtmosphereFramework to determine what to do with a request, e.g suspend it, resume it, etc.
Action() - Constructor for record class org.atmosphere.cpr.Action
 
Action(Action.TYPE) - Constructor for record class org.atmosphere.cpr.Action
 
Action(Action.TYPE, long) - Constructor for record class org.atmosphere.cpr.Action
Creates an instance of a Action record class.
Action.TYPE - Enum Class in org.atmosphere.cpr
The action's type.
activeBroadcaster() - Method in interface org.atmosphere.pool.PoolableProvider
Current number of active Broadcaster borrowed from the pool
activeBroadcaster() - Method in class org.atmosphere.pool.UnboundedApachePoolableProvider
 
activeClients() - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
add(AtmosphereResource) - Method in class org.atmosphere.cpr.BroadcasterMembership
Add an AtmosphereResource to the membership.
add(Broadcaster) - Method in class org.atmosphere.interceptor.AtmosphereResourceStateRecovery.BroadcasterTracker
 
add(Broadcaster, Object) - Method in interface org.atmosphere.cpr.BroadcasterFactory
Add a Broadcaster to the list.
add(Broadcaster, Object) - Method in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
add(Broadcaster, Object) - Method in class org.atmosphere.pool.PoolableBroadcasterFactory
 
addAnnotationPackage(Class<?>) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add support for package detection of Atmosphere's Component.
addAsyncSupportListener(AsyncSupportListener) - Method in class org.atmosphere.cpr.FrameworkEventDispatcher
addAtmosphereHandler(String, AtmosphereHandler) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an AtmosphereHandler serviced by the Servlet This API is exposed to allow embedding an Atmosphere application.
addAtmosphereHandler(String, AtmosphereHandler) - Method in class org.atmosphere.cpr.HandlerRegistry
Add a simple handler without interceptors.
addAtmosphereHandler(String, AtmosphereHandler, String) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an AtmosphereHandler serviced by the Servlet.
addAtmosphereHandler(String, AtmosphereHandler, String) - Method in class org.atmosphere.cpr.HandlerRegistry
Add a handler with a broadcaster ID and no extra interceptors.
addAtmosphereHandler(String, AtmosphereHandler, String, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an AtmosphereHandler serviced by the Servlet.
addAtmosphereHandler(String, AtmosphereHandler, String, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.HandlerRegistry
Add an AtmosphereHandler with a specific broadcaster ID.
addAtmosphereHandler(String, AtmosphereHandler, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an AtmosphereHandler serviced by the Servlet This API is exposed to allow embedding an Atmosphere application.
addAtmosphereHandler(String, AtmosphereHandler, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.HandlerRegistry
Add an AtmosphereHandler mapped to a path.
addAtmosphereHandler(String, AtmosphereHandler, Broadcaster) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an AtmosphereHandler serviced by the Servlet.
addAtmosphereHandler(String, AtmosphereHandler, Broadcaster) - Method in class org.atmosphere.cpr.HandlerRegistry
Add a handler with a broadcaster and no extra interceptors.
addAtmosphereHandler(String, AtmosphereHandler, Broadcaster, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an AtmosphereHandler serviced by the Servlet.
addAtmosphereHandler(String, AtmosphereHandler, Broadcaster, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.HandlerRegistry
Add an AtmosphereHandler with an explicit Broadcaster.
addAtmosphereResource(AtmosphereResource) - Method in interface org.atmosphere.cpr.Broadcaster
Add a AtmosphereResource to the list of items to be notified when the Broadcaster.broadcast(java.lang.Object) is invoked.
addAtmosphereResource(AtmosphereResource) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
addAtmosphereResourceListener(AtmosphereResourceListener) - Method in class org.atmosphere.cpr.FrameworkEventDispatcher
addBroadcaster(Broadcaster) - Method in interface org.atmosphere.cpr.AtmosphereResource
Add/Associate a Broadcaster with this resource.
addBroadcaster(Broadcaster) - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
addBroadcasterCacheInjector(BroadcasterCacheInspector) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add a BroadcasterCacheInspector which will be associated with the defined BroadcasterCache.
addBroadcasterCacheListener(BroadcasterCacheListener) - Method in class org.atmosphere.cache.AbstractBroadcasterCache
 
addBroadcasterCacheListener(BroadcasterCacheListener) - Method in class org.atmosphere.cache.BoundedMemoryCache
 
addBroadcasterCacheListener(BroadcasterCacheListener) - Method in class org.atmosphere.cache.DefaultBroadcasterCache
 
addBroadcasterCacheListener(BroadcasterCacheListener) - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
addBroadcasterCacheListener(BroadcasterCacheListener) - Method in class org.atmosphere.cpr.AtmosphereFramework
addBroadcasterCacheListener(BroadcasterCacheListener) - Method in interface org.atmosphere.cpr.BroadcasterCache
addBroadcasterLifeCyclePolicyListener(BroadcasterLifeCyclePolicyListener) - Method in interface org.atmosphere.cpr.Broadcaster
addBroadcasterLifeCyclePolicyListener(BroadcasterLifeCyclePolicyListener) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
addBroadcasterListener(BroadcasterListener) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add BroadcasterListener to all created Broadcasters.
addBroadcasterListener(BroadcasterListener) - Method in interface org.atmosphere.cpr.Broadcaster
addBroadcasterListener(BroadcasterListener) - Method in interface org.atmosphere.cpr.BroadcasterFactory
addBroadcasterListener(BroadcasterListener) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
addBroadcasterListener(BroadcasterListener) - Method in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
addBroadcasterListener(BroadcasterListener) - Method in class org.atmosphere.cpr.DefaultMetaBroadcaster
 
addBroadcasterListener(BroadcasterListener) - Method in interface org.atmosphere.cpr.MetaBroadcaster
Add a BroadcasterListener to all mapped Broadcasters.
addBroadcasterType(String) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add a new Broadcaster class name that AtmosphereServlet can use when initializing requests, and when the atmosphere.xml broadcaster element is unspecified.
addChunk(String, Reader, boolean) - Method in class org.atmosphere.util.ChunkConcatReaderPool
Return a reader if the reader specified by the key has not been previously created.
addCookie(Cookie) - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
addCustomAnnotationPackage(Class<?>) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add a package containing classes annotated with AtmosphereAnnotation.
addDateHeader(String, long) - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
addDefaultOrAppInterceptors() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
addDefaultOrAppInterceptors() - Method in class org.atmosphere.cpr.InterceptorRegistry
Add all interceptors to all handler wrappers.
addEventListener(AtmosphereResourceEventListener) - Method in interface org.atmosphere.cpr.AtmosphereResource
addEventListener(AtmosphereResourceEventListener) - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
addFilter(Filter) - Method in class org.atmosphere.handler.ReflectorServletProcessor
 
addFilter(BroadcastFilter) - Method in class org.atmosphere.cpr.BroadcasterConfig
addFilter(BroadcastFilter, boolean) - Method in class org.atmosphere.cpr.BroadcasterConfig
addFilter(FilterConfigImpl) - Method in class org.atmosphere.util.AtmosphereFilterChain
Add a filter to the set of filters that will be executed in this chain.
addFilterClassName(String, String) - Method in class org.atmosphere.handler.ReflectorServletProcessor
Add a FilterClass.
addFrameworkListener(AtmosphereFrameworkListener) - Method in class org.atmosphere.cpr.FrameworkEventDispatcher
addHeader(String, String) - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
addInitParameter(String, String) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add init-param like if they were defined in web.xml
addInterceptor(AtmosphereInterceptor, boolean) - Method in class org.atmosphere.cpr.InterceptorRegistry
addInterceptorToAllWrappers(AtmosphereInterceptor) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
addInterceptorToAllWrappers(AtmosphereInterceptor) - Method in class org.atmosphere.cpr.InterceptorRegistry
Add an interceptor to all registered handler wrappers.
addInterceptorToWrapper(AtmosphereHandlerWrapper, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
addInterceptorToWrapper(AtmosphereHandlerWrapper, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.InterceptorRegistry
Add framework interceptors and handler-specific interceptors to a wrapper.
addInterceptorToWrapper(AtmosphereHandlerWrapper, AtmosphereInterceptor) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
addInterceptorToWrapper(AtmosphereHandlerWrapper, AtmosphereInterceptor) - Method in class org.atmosphere.cpr.InterceptorRegistry
Add an interceptor to a specific wrapper.
addIntHeader(String, int) - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
addJarsFromClassPath(List<URL>, String) - Static method in class org.atmosphere.util.IntrospectionUtils
Add elements from the classpath cp to a List jars as file URLs
addLifeCycleListener(BroadcasterLifeCyclePolicyListener) - Method in class org.atmosphere.cpr.BroadcasterLifecycle
addMethodHandler(String, ServletProxyFactory.MethodHandler) - Method in class org.atmosphere.util.ServletProxyFactory
 
addProperty(Object, String, String) - Static method in class org.atmosphere.util.IntrospectionUtils
 
address() - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.LazyComputation
 
addToCache(String, String, BroadcastMessage) - Method in class org.atmosphere.cache.BoundedMemoryCache
 
addToCache(String, String, BroadcastMessage) - Method in class org.atmosphere.cache.DefaultBroadcasterCache
 
addToCache(String, String, BroadcastMessage) - Method in class org.atmosphere.cache.SessionBroadcasterCache
 
addToCache(String, String, BroadcastMessage) - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
addToCache(String, String, BroadcastMessage) - Method in interface org.atmosphere.cpr.BroadcasterCache
Start tracking messages associated with AtmosphereResource from the cache.
addToClassPath(List<URL>, String) - Static method in class org.atmosphere.util.IntrospectionUtils
Add all the jar files in a dir to the classpath, represented as a List of URLs.
addToolsJar(List<URL>) - Static method in class org.atmosphere.util.IntrospectionUtils
 
addWebSocketHandler(String, WebSocketHandler) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an WebSocketHandler mapped to the path.
addWebSocketHandler(String, WebSocketHandler) - Method in class org.atmosphere.cpr.HandlerRegistry
Add a WebSocketHandler mapped to a path.
addWebSocketHandler(String, WebSocketHandler, AtmosphereHandler) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an WebSocketHandler mapped to the path and the AtmosphereHandler in case Broadcaster are used.
addWebSocketHandler(String, WebSocketHandler, AtmosphereHandler) - Method in class org.atmosphere.cpr.HandlerRegistry
addWebSocketHandler(String, WebSocketHandler, AtmosphereHandler, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an WebSocketHandler mapped to the path and the AtmosphereHandler in case Broadcaster are used.
addWebSocketHandler(String, WebSocketHandler, AtmosphereHandler, List<AtmosphereInterceptor>) - Method in class org.atmosphere.cpr.HandlerRegistry
Add a WebSocketHandler with an AtmosphereHandler and interceptors.
addWebSocketHandler(WebSocketHandler) - Method in class org.atmosphere.cpr.AtmosphereFramework
Add an WebSocketHandler mapped to "/*".
addWebSocketHandler(WebSocketHandler) - Method in class org.atmosphere.cpr.HandlerRegistry
Add a WebSocketHandler mapped to "/*".
AFTER_DEFAULT - Enum constant in enum class org.atmosphere.interceptor.InvokationOrder.PRIORITY
The AtmosphereInterceptor must be executed after the default set of AtmosphereInterceptor
AFTER_DEFAULT - Static variable in interface org.atmosphere.interceptor.InvokationOrder
 
AJAX - Enum constant in enum class org.atmosphere.cpr.AtmosphereResource.TRANSPORT
 
all() - Method in class org.atmosphere.room.RoomManager
Get all active rooms.
all(List<Encoder<?, ?>>, List<Decoder<?, ?>>, Object, Object, Method) - Static method in class org.atmosphere.config.managed.Invoker
 
ALL - Enum constant in enum class org.atmosphere.config.service.DeliverTo.DELIVER_TO
 
ALL - Enum constant in enum class org.atmosphere.config.service.Ready.DELIVER_TO
Deprecated.
ALL - Enum constant in enum class org.atmosphere.cpr.Deliver.TYPE
 
ALLOW_CORE_THREAD_TIMEOUT - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Time out threads created by the ExecutorsFactory.
ALLOW_QUERYSTRING_AS_REQUEST - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Allow query string as set as request's header.
ALLOW_WEBSOCKET_STATUS_CODE_1005_AS_DISCONNECT - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Allow the WebSocketProtocol to invoke the AsynchronousProcessor when a status of 1005 is received.
allowAllClassesScan() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
allowAllClassesScan(boolean) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
allowInjectionOf(Object) - Method in class org.atmosphere.cpr.DefaultAtmosphereObjectFactory
 
allowInjectionOf(Injectable<?>) - Method in class org.atmosphere.inject.InjectableObjectFactory
 
allowInjectionOf(Injectable<?>, boolean) - Method in class org.atmosphere.inject.InjectableObjectFactory
 
allowInjectionOf(Z) - Method in interface org.atmosphere.cpr.AtmosphereObjectFactory
Pass information to the underlying Dependency Injection Implementation
AllowInterceptor - Interface in org.atmosphere.interceptor
A marker interface that does nothing except used by AtmosphereInterceptor to modify the default behavior of any functionality.
allowMessage(String) - Method in class org.atmosphere.interceptor.BackpressureInterceptor
Check if a message can be delivered to the given resource.
allowSessionTimeoutRemoval() - Method in class org.atmosphere.cpr.AsynchronousProcessor
Is HttpSession timeout removal supported
alreadyQuoted(String) - Static method in class org.atmosphere.util.CookieUtil
 
analytics() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
ANALYTICS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Disable the startup version check against GitHub releases.
AndroidAtmosphereInterceptor - Class in org.atmosphere.interceptor
Fix for the Android 2.2.x bogus HTTP implementation.
AndroidAtmosphereInterceptor() - Constructor for class org.atmosphere.interceptor.AndroidAtmosphereInterceptor
 
AnnotatedLifecycle - Class in org.atmosphere.config.managed
Shared lifecycle and injection support for annotated endpoint classes.
AnnotatedProxy - Interface in org.atmosphere.handler
Marker class for an AtmosphereHandler proxy of a POJO object.
ANNOTATION_ATTRIBUTE - Static variable in class org.atmosphere.cpr.DefaultAnnotationProcessor
The attribute name under which the annotations are stored in the servlet context.
ANNOTATION_PACKAGE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
A list, separated by comma, of package name to scan when looking for Atmosphere's component annotated with Atmosphere's annotation.
ANNOTATION_PROCESSOR - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The annotation processor.
AnnotationDetector - Class in org.atmosphere.util.annotation
AnnotationDetector reads Java Class File (".class") files and reports the encountered annotations via a simple, developer friendly API.
AnnotationDetector(AnnotationDetector.Reporter) - Constructor for class org.atmosphere.util.annotation.AnnotationDetector
Create a new AnnotationDetector, reporting the detected annotations to the specified Reporter.
AnnotationDetector.FieldReporter - Interface in org.atmosphere.util.annotation
A Reporter for field annotations.
AnnotationDetector.MethodReporter - Interface in org.atmosphere.util.annotation
A Reporter for method annotations.
AnnotationDetector.Reporter - Interface in org.atmosphere.util.annotation
Reporter is the base interface, used to report the detected annotations.
AnnotationDetector.TypeReporter - Interface in org.atmosphere.util.annotation
A Reporter for type annotations.
AnnotationHandler - Class in org.atmosphere.cpr
A class that handles the results of an annotation scan.
AnnotationHandler() - Constructor for class org.atmosphere.cpr.AnnotationHandler
 
annotationProcessor() - Method in class org.atmosphere.cpr.AtmosphereFramework
AnnotationProcessor - Interface in org.atmosphere.cpr
An annotation processor for configuring the AtmosphereFramework.
annotationProcessorClassName(String) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
annotationProcessors() - Static method in class org.atmosphere.cpr.AtmosphereReflectiveTypes
Returns the fully-qualified class names of all Atmosphere annotation processor classes that are instantiated reflectively by AnnotationHandler.
annotations() - Method in interface org.atmosphere.util.annotation.AnnotationDetector.Reporter
Return the Annotation classes which must be reported (all other annotations are skipped).
annotationScanned(boolean) - Method in class org.atmosphere.cpr.AtmosphereFramework
Invoked when a AnnotationProcessor found an annotation.
AnnotationScanningServletContainerInitializer - Class in org.atmosphere.cpr
A ServletContainerInitializer that scans for annotations, and places them in a map keyed by annotation type in the servlet context.
AnnotationScanningServletContainerInitializer() - Constructor for class org.atmosphere.cpr.AnnotationScanningServletContainerInitializer
 
AnnotationUtil - Class in org.atmosphere.annotation
 
AnnotationUtil() - Constructor for class org.atmosphere.annotation.AnnotationUtil
 
APPLICATION - Enum constant in enum class org.atmosphere.cpr.Broadcaster.SCOPE
 
ApplicationConfig - Interface in org.atmosphere.cpr
Web.xml init-param configuration supported by Atmosphere.
ApplicationConfiguration - Class in org.atmosphere.config
 
ApplicationConfiguration(String, String) - Constructor for class org.atmosphere.config.ApplicationConfiguration
 
ApplicationScoped - Annotation Interface in org.atmosphere.inject.annotation
An annotation for Injectable used to decide when the injection must happens.
apply(AtmosphereFramework, Class<?>) - Method in enum class org.atmosphere.cpr.MetaServiceAction
Applies this action to given class.
applyFilters(AtmosphereResource, List<Object>) - Method in class org.atmosphere.cpr.BroadcasterConfig
Apply all filters to the AtmosphereResource and the provided List of messages.
applyMethods(U, Class<U>) - Method in class org.atmosphere.inject.InjectableObjectFactory
asBytes() - Method in interface org.atmosphere.cpr.AtmosphereRequestImpl.Body
Return the request body as a byte array.
asBytes() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.BytesBody
 
asBytes() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.EmptyBody
 
asBytes() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.StringBody
 
asString() - Method in interface org.atmosphere.cpr.AtmosphereRequestImpl.Body
Return the request body as a String.
asString() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.BytesBody
 
asString() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.EmptyBody
 
asString() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.StringBody
 
asString() - Method in class org.atmosphere.cpr.DefaultBroadcaster.WriteQueue
 
async - Variable in class org.atmosphere.cpr.Deliver
 
ASYNC_CONTEXT - Static variable in interface org.atmosphere.cpr.FrameworkConfig
ASYNC_IO - Static variable in class org.atmosphere.cpr.AtmosphereFramework
 
ASYNC_WRITE_THREAD_POOL - Static variable in class org.atmosphere.util.ExecutorsFactory
 
AsynchronousProcessor - Class in org.atmosphere.cpr
Base class which implement the semantics of suspending and resuming of a Comet/WebSocket Request.
AsynchronousProcessor(AtmosphereConfig) - Constructor for class org.atmosphere.cpr.AsynchronousProcessor
 
AsyncIOInterceptor - Interface in org.atmosphere.cpr
A filter-like API that allow an AtmosphereInterceptor to intercept the response before it gets written back to the client.
AsyncIOInterceptorAdapter - Class in org.atmosphere.cpr
An Adapter for AsyncIOInterceptor.
AsyncIOInterceptorAdapter() - Constructor for class org.atmosphere.cpr.AsyncIOInterceptorAdapter
 
asyncIOWriter(AsyncIOWriter) - Method in interface org.atmosphere.cpr.AtmosphereResponse
Set an implementation of AsyncIOWriter that will be invoked every time a write operation is ready to be processed.
asyncIOWriter(AsyncIOWriter) - Method in interface org.atmosphere.cpr.AtmosphereResponse.Builder
 
asyncIOWriter(AsyncIOWriter) - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
asyncIOWriter(AsyncIOWriter) - Method in class org.atmosphere.cpr.AtmosphereResponseImpl.Builder
 
AsyncIOWriter - Interface in org.atmosphere.cpr
An Asynchronous I/O Writer is used by a AtmosphereResponse when writing data.
AsyncIOWriterAdapter - Class in org.atmosphere.cpr
Adapter class for AsyncIOWriter.
AsyncIOWriterAdapter() - Constructor for class org.atmosphere.cpr.AsyncIOWriterAdapter
 
asyncSupport - Variable in class org.atmosphere.cpr.AtmosphereFramework
 
asyncSupport - Variable in class org.atmosphere.cpr.AtmosphereResourceImpl
 
AsyncSupport<E> - Interface in org.atmosphere.cpr
Atmosphere's supported WebServer must implement this interface in order to be auto detected by the AtmosphereFramework.
asyncSupportListener(AsyncSupportListener) - Method in class org.atmosphere.cpr.AtmosphereFramework
AsyncSupportListener - Interface in org.atmosphere.cpr
A listener that can be used to track AsyncSupport events like SUSPEND, RESUME, TIMEOUT, DESTROYED and CLOSED
AsyncSupportListenerAdapter - Class in org.atmosphere.cpr
A default implementation of AsyncSupportListener
AsyncSupportListenerAdapter() - Constructor for class org.atmosphere.cpr.AsyncSupportListenerAdapter
 
asyncSupportListeners() - Method in class org.atmosphere.cpr.AtmosphereFramework
Return the list of AsyncSupportListeners.
asyncSupportListeners() - Method in class org.atmosphere.cpr.FrameworkEventDispatcher
Return the list of AsyncSupportListeners.
AsyncSupportListenerService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which AsyncSupportListener class to use by default.
AsyncSupportListenerServiceProcessor - Class in org.atmosphere.annotation
 
AsyncSupportListenerServiceProcessor() - Constructor for class org.atmosphere.annotation.AsyncSupportListenerServiceProcessor
 
AsyncSupportResolver - Interface in org.atmosphere.cpr
This interface is used by AtmosphereFramework to determine which AsyncSupport instance should be used
AsyncSupportService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which AsyncSupport class to use by default.
AsyncSupportServiceProcessor - Class in org.atmosphere.annotation
 
AsyncSupportServiceProcessor() - Constructor for class org.atmosphere.annotation.AsyncSupportServiceProcessor
 
asyncWriteFuture - Variable in class org.atmosphere.cpr.DefaultBroadcaster
 
AsyncWriteToken(AtmosphereResource, Object, BroadcasterFuture<?>, Object, AtomicInteger) - Constructor for class org.atmosphere.cpr.DefaultBroadcaster.AsyncWriteToken
 
AsyncWriteToken(AtmosphereResource, Object, BroadcasterFuture<?>, Object, CacheMessage, AtomicInteger) - Constructor for class org.atmosphere.cpr.DefaultBroadcaster.AsyncWriteToken
 
ATMOSPHERE_CONFIG - Static variable in interface org.atmosphere.cpr.FrameworkConfig
AtmosphereConfig instance.
ATMOSPHERE_EXCLUDED_FILE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Regex pattern for excluding file from being serviced by AtmosphereFilter.
ATMOSPHERE_HANDLER - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Tell Atmosphere which AtmosphereHandler should be used.
ATMOSPHERE_HANDLER_MAPPING - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The AtmosphereHandler defined using the property will be mapped to that value.
ATMOSPHERE_HANDLER_PATH - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The location of classes implementing the AtmosphereHandler interface.
ATMOSPHERE_HANDLER_WRAPPER - Static variable in interface org.atmosphere.cpr.FrameworkConfig
A request attribute used to lookup the AtmosphereHandler.
ATMOSPHERE_INTERCEPTORS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
A list of AtmosphereInterceptor class name that will be invoked before the AtmosphereResource gets delivered to an application or framework.
ATMOSPHERE_POST_BODY - Static variable in interface org.atmosphere.cpr.HeaderConfig
 
ATMOSPHERE_RESOURCE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
ATMOSPHERE_RESOURCE - Static variable in interface org.atmosphere.cpr.FrameworkConfig
A request attribute used to lookup the AtmosphereResource.
ATMOSPHERE_SERVLET - Static variable in interface org.atmosphere.cpr.FrameworkConfig
A request attribute used to lookup the AtmosphereServlet.
ATMOSPHERE_SERVLET - Static variable in class org.atmosphere.util.VoidServletConfig
 
AtmosphereAnnotation - Annotation Interface in org.atmosphere.config
This annotation is scanned by Atmosphere at runtime to determine Processor implementation.
AtmosphereAnnotations - Class in org.atmosphere.cpr
Single source of truth for all Atmosphere annotation types and their processor mappings.
atmosphereConfig() - Element in annotation interface org.atmosphere.config.service.AtmosphereHandlerService
Atmosphere's configuration that will be passed to the associated AtmosphereHandler.
atmosphereConfig() - Element in annotation interface org.atmosphere.config.service.AtmosphereService
Atmosphere's configuration that will be passed to the associated AtmosphereHandler.
atmosphereConfig() - Element in annotation interface org.atmosphere.config.service.ManagedService
Atmosphere's configuration that will be passed to the associated AtmosphereHandler.
atmosphereConfig() - Element in annotation interface org.atmosphere.config.service.WebSocketHandlerService
Atmosphere's configuration that will be passed to the associated AtmosphereHandler.
atmosphereConfig(String[], AtmosphereFramework) - Static method in class org.atmosphere.annotation.AnnotationUtil
 
AtmosphereConfig - Class in org.atmosphere.cpr
This class contains information about the current state of the AtmosphereFramework.
AtmosphereConfig(AtmosphereFramework) - Constructor for class org.atmosphere.cpr.AtmosphereConfig
 
AtmosphereConfig.ShutdownHook - Interface in org.atmosphere.cpr
A shutdown hook that will be called when the AtmosphereFramework.destroy() method gets invoked.
AtmosphereConfig.StartupHook - Interface in org.atmosphere.cpr
A Startup hook that will be called when the AtmosphereFramework.init() method complete.
AtmosphereConfigAware - Interface in org.atmosphere.inject
 
AtmosphereConfigInjectable - Class in org.atmosphere.inject
 
AtmosphereConfigInjectable() - Constructor for class org.atmosphere.inject.AtmosphereConfigInjectable
 
AtmosphereConfigReader - Class in org.atmosphere.util
Descriptor for an Atmosphere configuraton file.
AtmosphereConfigurator(AtmosphereFramework) - Constructor for class org.atmosphere.container.JSR356AsyncSupport.AtmosphereConfigurator
 
atmosphereDotXmlPath - Variable in class org.atmosphere.cpr.AtmosphereFramework
 
atmosphereFactory() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
AtmosphereFilter - Class in org.atmosphere.cpr
Atmosphere has support for Filters, delegating all work to AtmosphereServlet.
AtmosphereFilter() - Constructor for class org.atmosphere.cpr.AtmosphereFilter
 
AtmosphereFilterChain - Class in org.atmosphere.util
Implementation of jakarta.servlet.FilterChain used to manage the execution of a set of filters for a particular request.
AtmosphereFilterChain() - Constructor for class org.atmosphere.util.AtmosphereFilterChain
 
AtmosphereFramework - Class in org.atmosphere.cpr
The AtmosphereFramework is the entry point for the framework.
AtmosphereFramework() - Constructor for class org.atmosphere.cpr.AtmosphereFramework
Create an AtmosphereFramework.
AtmosphereFramework(boolean, boolean) - Constructor for class org.atmosphere.cpr.AtmosphereFramework
Create an AtmosphereFramework.
AtmosphereFramework(ServletConfig) - Constructor for class org.atmosphere.cpr.AtmosphereFramework
Create an AtmosphereFramework and initialize it via AtmosphereFramework.init(jakarta.servlet.ServletConfig).
AtmosphereFrameworkInitializer - Class in org.atmosphere.cpr
 
AtmosphereFrameworkInitializer(boolean, boolean) - Constructor for class org.atmosphere.cpr.AtmosphereFrameworkInitializer
 
AtmosphereFrameworkInjectable - Class in org.atmosphere.inject
 
AtmosphereFrameworkInjectable() - Constructor for class org.atmosphere.inject.AtmosphereFrameworkInjectable
 
AtmosphereFrameworkListener - Interface in org.atmosphere.cpr
Lifecycle listener for AtmosphereFramework
AtmosphereFrameworkListenerAdapter - Class in org.atmosphere.cpr
AtmosphereFrameworkListenerAdapter() - Constructor for class org.atmosphere.cpr.AtmosphereFrameworkListenerAdapter
 
AtmosphereFrameworkListenerService - Annotation Interface in org.atmosphere.config.service
An annotation for installing AtmosphereFrameworkListener
AtmosphereFrameworkServiceProcessor - Class in org.atmosphere.annotation
 
AtmosphereFrameworkServiceProcessor() - Constructor for class org.atmosphere.annotation.AtmosphereFrameworkServiceProcessor
 
atmosphereHandler() - Method in class org.atmosphere.cpr.AtmosphereHandlerWrapper
 
atmosphereHandler(AtmosphereHandler) - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
AtmosphereHandler - Interface in org.atmosphere.cpr
Implementation of AtmosphereHandler allows creation of event-driven web applications which are hosted in the browser.
AtmosphereHandlerAdapter - Class in org.atmosphere.handler
An implementation of AtmosphereHandler that does nothing.
AtmosphereHandlerAdapter() - Constructor for class org.atmosphere.handler.AtmosphereHandlerAdapter
 
AtmosphereHandlerConfig - Class in org.atmosphere.config
 
AtmosphereHandlerConfig() - Constructor for class org.atmosphere.config.AtmosphereHandlerConfig
 
AtmosphereHandlerProperty - Class in org.atmosphere.config
 
AtmosphereHandlerProperty(String, String) - Constructor for class org.atmosphere.config.AtmosphereHandlerProperty
 
AtmosphereHandlerService - Annotation Interface in org.atmosphere.config.service
An annotation for AtmosphereHandler
AtmosphereHandlerServiceInterceptor - Class in org.atmosphere.config.managed
Handle Singleton and AtmosphereHandlerService processing.
AtmosphereHandlerServiceInterceptor() - Constructor for class org.atmosphere.config.managed.AtmosphereHandlerServiceInterceptor
 
AtmosphereHandlerServiceProcessor - Class in org.atmosphere.annotation
 
AtmosphereHandlerServiceProcessor() - Constructor for class org.atmosphere.annotation.AtmosphereHandlerServiceProcessor
 
AtmosphereHandlerWrapper - Class in org.atmosphere.cpr
Wrapper around an AtmosphereHandler and its associated Broadcaster, mapping path, and interceptor chain.
AtmosphereHandlerWrapper(AtmosphereHandler, Broadcaster, AtmosphereConfig) - Constructor for class org.atmosphere.cpr.AtmosphereHandlerWrapper
 
AtmosphereHandlerWrapper(BroadcasterFactory, AtmosphereHandler, String, AtmosphereConfig) - Constructor for class org.atmosphere.cpr.AtmosphereHandlerWrapper
 
AtmosphereHealth - Class in org.atmosphere.metrics
Framework-level health check for Atmosphere.
AtmosphereHealth(AtmosphereFramework) - Constructor for class org.atmosphere.metrics.AtmosphereHealth
 
AtmosphereInterceptor - Interface in org.atmosphere.cpr
Intercept the dispatch of AtmosphereResource before they get dispatched to AtmosphereHandlers.
AtmosphereInterceptorAdapter - Class in org.atmosphere.cpr
A Simple AtmosphereInterceptor that creates an AtmosphereInterceptorWriter and sets it as the default AsyncIOWriter on an AtmosphereResponse.
AtmosphereInterceptorAdapter() - Constructor for class org.atmosphere.cpr.AtmosphereInterceptorAdapter
 
AtmosphereInterceptorService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which AtmosphereInterceptor class to use by default.
AtmosphereInterceptorServiceProcessor - Class in org.atmosphere.annotation
 
AtmosphereInterceptorServiceProcessor() - Constructor for class org.atmosphere.annotation.AtmosphereInterceptorServiceProcessor
 
AtmosphereInterceptorWriter - Class in org.atmosphere.cpr
An AsyncIOWriter that delegates the write operation to its AsyncIOInterceptor.
AtmosphereInterceptorWriter() - Constructor for class org.atmosphere.cpr.AtmosphereInterceptorWriter
 
AtmosphereMappingException - Exception Class in org.atmosphere.cpr
Thrown when AsynchronousProcessor is unable to map the request to an AtmosphereHandler.
AtmosphereMappingException() - Constructor for exception class org.atmosphere.cpr.AtmosphereMappingException
 
AtmosphereMappingException(String) - Constructor for exception class org.atmosphere.cpr.AtmosphereMappingException
 
AtmosphereMappingException(String, Throwable) - Constructor for exception class org.atmosphere.cpr.AtmosphereMappingException
 
AtmosphereMappingException(Throwable) - Constructor for exception class org.atmosphere.cpr.AtmosphereMappingException
 
AtmosphereMetrics - Class in org.atmosphere.metrics
Micrometer metrics integration for Atmosphere.
AtmosphereObjectFactory<Z> - Interface in org.atmosphere.cpr
Customization point for Atmosphere to instantiate classes.
AtmosphereProducers - Class in org.atmosphere.inject
Atmosphere Internal Object Injection for DI supporting JSR 330
AtmosphereProducers() - Constructor for class org.atmosphere.inject.AtmosphereProducers
 
atmosphereProtocol(AtmosphereRequest) - Static method in class org.atmosphere.util.Utils
 
AtmosphereReflectiveTypes - Class in org.atmosphere.cpr
Single source of truth for all Atmosphere types that require reflective access at runtime (GraalVM native image, Spring AOT, Quarkus native build).
AtmosphereRequest - Interface in org.atmosphere.cpr
An Atmosphere request representation.
AtmosphereRequest.Builder - Interface in org.atmosphere.cpr
 
AtmosphereRequest.LocalAttributes - Class in org.atmosphere.cpr
 
AtmosphereRequestImpl - Class in org.atmosphere.cpr
An Atmosphere request representation.
AtmosphereRequestImpl.Body - Interface in org.atmosphere.cpr
 
AtmosphereRequestImpl.Body.BytesBody - Record Class in org.atmosphere.cpr
 
AtmosphereRequestImpl.Body.EmptyBody - Record Class in org.atmosphere.cpr
 
AtmosphereRequestImpl.Body.StringBody - Record Class in org.atmosphere.cpr
 
AtmosphereRequestImpl.Builder - Class in org.atmosphere.cpr
 
AtmosphereRequestImpl.LazyComputation - Class in org.atmosphere.cpr
 
AtmosphereRequestImpl.NoOpsRequest - Class in org.atmosphere.cpr
Deprecated.
Use NoOpsRequest directly instead.
AtmosphereRequestIntrospector - Class in org.atmosphere.inject
AtmosphereRequest injection support.
AtmosphereRequestIntrospector() - Constructor for class org.atmosphere.inject.AtmosphereRequestIntrospector
 
AtmosphereResource - Interface in org.atmosphere.cpr
An AtmosphereResource encapsulates the mechanism to AtmosphereResource.suspend(), AtmosphereResource.resume() and broadcast (AtmosphereResource.getBroadcaster()) messages among suspended resources.
ATMOSPHERERESOURCE_INTERCEPTOR_METHOD - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The method used that trigger automatic management of AtmosphereResource when the AtmosphereResourceLifecycleInterceptor is used.
ATMOSPHERERESOURCE_INTERCEPTOR_TIMEOUT - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The timeout, in second, for configuring the time an AtmosphereResource is suspended.
AtmosphereResource.TRANSPORT - Enum Class in org.atmosphere.cpr
 
AtmosphereResourceEvent - Interface in org.atmosphere.cpr
An AtmosphereResourceEvent is created every time an event occurs, like when a Broadcaster.broadcast(java.lang.Object) is executed, when a browser remotely closes the connection or when a suspended resource times out or gets resumed.
AtmosphereResourceEventImpl - Class in org.atmosphere.cpr
AtmosphereResourceEvent implementation.
AtmosphereResourceEventImpl(AtmosphereResourceImpl) - Constructor for class org.atmosphere.cpr.AtmosphereResourceEventImpl
 
AtmosphereResourceEventImpl(AtmosphereResourceImpl, boolean, boolean) - Constructor for class org.atmosphere.cpr.AtmosphereResourceEventImpl
 
AtmosphereResourceEventImpl(AtmosphereResourceImpl, boolean, boolean, boolean, Throwable) - Constructor for class org.atmosphere.cpr.AtmosphereResourceEventImpl
 
AtmosphereResourceEventImpl(AtmosphereResourceImpl, boolean, boolean, Throwable) - Constructor for class org.atmosphere.cpr.AtmosphereResourceEventImpl
 
AtmosphereResourceEventIntrospector - Class in org.atmosphere.inject
invalid input: '{@link /*missing*/}'AtmosphereResource} injection implementation support.
AtmosphereResourceEventIntrospector() - Constructor for class org.atmosphere.inject.AtmosphereResourceEventIntrospector
 
atmosphereResourceEventListener() - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
AtmosphereResourceEventListener - Interface in org.atmosphere.cpr
Receive notifications when resume, client disconnect or broadcast events occur.
AtmosphereResourceEventListenerAdapter - Class in org.atmosphere.cpr
An implementation of AtmosphereResourceEventListener which just log events with log level TRACE.
AtmosphereResourceEventListenerAdapter() - Constructor for class org.atmosphere.cpr.AtmosphereResourceEventListenerAdapter
 
AtmosphereResourceEventListenerAdapter.OnBroadcast - Class in org.atmosphere.cpr
On Broadcast's Listener
AtmosphereResourceEventListenerAdapter.OnClose - Class in org.atmosphere.cpr
On Close's Listener
AtmosphereResourceEventListenerAdapter.OnDisconnect - Class in org.atmosphere.cpr
On Disconnect's Listener
AtmosphereResourceEventListenerAdapter.OnHeartbeat - Class in org.atmosphere.cpr
On Heartbeat's Listener
AtmosphereResourceEventListenerAdapter.OnPreSuspend - Class in org.atmosphere.cpr
On PreSuspend's Listener
AtmosphereResourceEventListenerAdapter.OnResume - Class in org.atmosphere.cpr
On Resume's Listener
AtmosphereResourceEventListenerAdapter.OnSuspend - Class in org.atmosphere.cpr
On Suspend's Listener
AtmosphereResourceEventListenerAdapter.OnThrowable - Class in org.atmosphere.cpr
On Throwable's Listener
AtmosphereResourceFactory - Interface in org.atmosphere.cpr
A Factory used to manage AtmosphereResource instances.
AtmosphereResourceFactory.Async - Interface in org.atmosphere.cpr
An interface to use in order to retrieve an AtmosphereResource inside a cluster.
AtmosphereResourceFactoryInjectable - Class in org.atmosphere.inject
 
AtmosphereResourceFactoryInjectable() - Constructor for class org.atmosphere.inject.AtmosphereResourceFactoryInjectable
 
AtmosphereResourceFactoryService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which AtmosphereResourceFactory class to use by default.
AtmosphereResourceFactoryServiceProcessor - Class in org.atmosphere.annotation
 
AtmosphereResourceFactoryServiceProcessor() - Constructor for class org.atmosphere.annotation.AtmosphereResourceFactoryServiceProcessor
 
AtmosphereResourceHeartbeatEventListener - Interface in org.atmosphere.cpr
Receive notifications when heartbeat events occur.
AtmosphereResourceImpl - Class in org.atmosphere.cpr
AtmosphereResource implementation for supporting AtmosphereRequest and AtmosphereResponse.
AtmosphereResourceImpl() - Constructor for class org.atmosphere.cpr.AtmosphereResourceImpl
 
AtmosphereResourceImpl(AtmosphereConfig, Broadcaster, AtmosphereRequest, AtmosphereResponse, AsyncSupport<AtmosphereResourceImpl>, AtmosphereHandler) - Constructor for class org.atmosphere.cpr.AtmosphereResourceImpl
Deprecated.
AtmosphereResourceImpl.LifecycleState - Enum Class in org.atmosphere.cpr
Explicit lifecycle states for an AtmosphereResource, replacing the previous collection of independent AtomicBoolean fields that tracked lifecycle implicitly.
AtmosphereResourceIntrospector - Class in org.atmosphere.inject
AtmosphereResource injection using ScopedValues (JDK 21+).
AtmosphereResourceIntrospector() - Constructor for class org.atmosphere.inject.AtmosphereResourceIntrospector
 
AtmosphereResourceLifecycleInterceptor - Class in org.atmosphere.interceptor
This AtmosphereInterceptor implementation automatically suspends the intercepted AtmosphereResource and takes care of managing the response's state (flushing, resuming, etc.) when a Broadcaster.broadcast(java.lang.Object) is invoked.
AtmosphereResourceLifecycleInterceptor() - Constructor for class org.atmosphere.interceptor.AtmosphereResourceLifecycleInterceptor
 
AtmosphereResourceLifecycleInterceptor(boolean) - Constructor for class org.atmosphere.interceptor.AtmosphereResourceLifecycleInterceptor
 
atmosphereResourceListener(AtmosphereResourceListener) - Method in class org.atmosphere.cpr.AtmosphereFramework
AtmosphereResourceListener - Interface in org.atmosphere.cpr
Listener for when AtmosphereResource gets suspended and disconnected.
AtmosphereResourceListenerAdapter - Class in org.atmosphere.cpr
AtmosphereResourceListenerAdapter() - Constructor for class org.atmosphere.cpr.AtmosphereResourceListenerAdapter
 
atmosphereResourceListeners() - Method in class org.atmosphere.cpr.AtmosphereFramework
Return the list of AtmosphereResourceListener
atmosphereResourceListeners() - Method in class org.atmosphere.cpr.FrameworkEventDispatcher
Return the list of AtmosphereResourceListeners.
AtmosphereResourceListenerService - Annotation Interface in org.atmosphere.config.service
AtmosphereResourceListenerServiceProcessor - Class in org.atmosphere.annotation
 
AtmosphereResourceListenerServiceProcessor() - Constructor for class org.atmosphere.annotation.AtmosphereResourceListenerServiceProcessor
 
AtmosphereResourceSession - Interface in org.atmosphere.cpr
The AtmosphereResourceSession is managed by the AtmosphereResourceSessionFactory.
AtmosphereResourceSessionFactory - Interface in org.atmosphere.cpr
Factory for AtmosphereResourceSession instances
AtmosphereResourceSessionFactoryInjectable - Class in org.atmosphere.inject
 
AtmosphereResourceSessionFactoryInjectable() - Constructor for class org.atmosphere.inject.AtmosphereResourceSessionFactoryInjectable
 
AtmosphereResourceStateRecovery - Class in org.atmosphere.interceptor
This interceptor associates a AtmosphereResource to all Broadcaster the resource was added before the underlying connection got closed and resume.
AtmosphereResourceStateRecovery() - Constructor for class org.atmosphere.interceptor.AtmosphereResourceStateRecovery
 
AtmosphereResourceStateRecovery.B - Class in org.atmosphere.interceptor
 
AtmosphereResourceStateRecovery.BroadcasterTracker - Class in org.atmosphere.interceptor
 
AtmosphereResourceStateRecovery.OnAlwaysSuspend - Class in org.atmosphere.interceptor
 
AtmosphereResponse - Interface in org.atmosphere.cpr
An Atmosphere's response representation.
AtmosphereResponse.Builder - Interface in org.atmosphere.cpr
 
AtmosphereResponseImpl - Class in org.atmosphere.cpr
An Atmosphere's response representation.
AtmosphereResponseImpl(HttpServletResponse, AsyncIOWriter, AtmosphereRequest, boolean) - Constructor for class org.atmosphere.cpr.AtmosphereResponseImpl
 
AtmosphereResponseImpl(AsyncIOWriter, AtmosphereRequest, boolean) - Constructor for class org.atmosphere.cpr.AtmosphereResponseImpl
 
AtmosphereResponseImpl.Builder - Class in org.atmosphere.cpr
 
AtmosphereResponseIntrospector - Class in org.atmosphere.inject
AtmosphereResponse injection using ScopedValues (JDK 21+).
AtmosphereResponseIntrospector() - Constructor for class org.atmosphere.inject.AtmosphereResponseIntrospector
 
AtmosphereService - Annotation Interface in org.atmosphere.config.service
An annotation which acts like the ManagedService annotated resource, but that can be used with frameworks like Jersey, Wicket or any framework running the Atmosphere Framework.
AtmosphereServiceProcessor - Class in org.atmosphere.annotation
 
AtmosphereServiceProcessor() - Constructor for class org.atmosphere.annotation.AtmosphereServiceProcessor
 
AtmosphereServlet - Class in org.atmosphere.cpr
AtmosphereServlet that use Servlet 3.0 Async API when available, and fallback to native comet support if not available.
AtmosphereServlet() - Constructor for class org.atmosphere.cpr.AtmosphereServlet
Create an Atmosphere Servlet.
AtmosphereServlet(boolean) - Constructor for class org.atmosphere.cpr.AtmosphereServlet
Create an Atmosphere Servlet.
AtmosphereServlet(boolean, boolean) - Constructor for class org.atmosphere.cpr.AtmosphereServlet
Create an Atmosphere Servlet.
AtmosphereServletProcessor - Interface in org.atmosphere.cpr
Simple interface that can be used to wrap a Servlet from an AtmosphereHandler.
AtmosphereSession - Class in org.atmosphere.cpr
An AtmosphereSession allow an application to keep track of the AtmosphereResource associated with a remote client.
AtmosphereSession(AtmosphereResource) - Constructor for class org.atmosphere.cpr.AtmosphereSession
Track the current AtmosphereResource with all created Broadcaster
AtmosphereSession(AtmosphereResource, Broadcaster...) - Constructor for class org.atmosphere.cpr.AtmosphereSession
 
AtmosphereThreadFactory(boolean, String) - Constructor for class org.atmosphere.util.ExecutorsFactory.AtmosphereThreadFactory
 
AtmosphereTracing - Class in org.atmosphere.metrics
OpenTelemetry tracing interceptor for Atmosphere requests.
AtmosphereTracing(OpenTelemetry) - Constructor for class org.atmosphere.metrics.AtmosphereTracing
Create tracing interceptor with the given OpenTelemetry instance.
AtmosphereTracing(Tracer) - Constructor for class org.atmosphere.metrics.AtmosphereTracing
Create tracing interceptor with a custom tracer.
attachment() - Method in class org.atmosphere.websocket.WebSocket
Return the attachment
attachment(Object) - Method in class org.atmosphere.websocket.WebSocket
Attach an object.
attributes() - Method in class org.atmosphere.websocket.WebSocket
Return the attribute that was set during the websocket's open operation.
attributes(Map<String, Object>) - Method in interface org.atmosphere.cpr.AtmosphereRequest.Builder
 
attributes(Map<String, Object>) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
AUTH_CLAIMS - Static variable in interface org.atmosphere.cpr.FrameworkConfig
Request attribute holding the token claims Map<String, Object> set by the AuthInterceptor.
AUTH_DISCONNECT_ON_FAILURE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Whether to disconnect the client on authentication failure or just skip the handler.
AUTH_PRINCIPAL - Static variable in interface org.atmosphere.cpr.FrameworkConfig
Request attribute holding the authenticated Principal set by the AuthInterceptor.
AUTH_TOKEN_QUERY_PARAM - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Name of the query parameter that carries the authentication token.
AUTH_TOKEN_REFRESHER - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Fully qualified class name of a TokenRefresher implementation.
AUTH_TOKEN_VALIDATOR - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Fully qualified class name of a TokenValidator implementation.
authenticate(HttpServletResponse) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl
 
authenticate(HttpServletResponse) - Method in class org.atmosphere.cpr.NoOpsRequest
 
authenticatedCount() - Method in class org.atmosphere.interceptor.AuthInterceptor
 
AuthInterceptor - Class in org.atmosphere.interceptor
Authentication interceptor that validates tokens on every inbound request.
AuthInterceptor() - Constructor for class org.atmosphere.interceptor.AuthInterceptor
Create an AuthInterceptor configured via init-params.
AuthInterceptor(TokenValidator) - Constructor for class org.atmosphere.interceptor.AuthInterceptor
Create an AuthInterceptor with a programmatic validator.
AuthInterceptor(TokenValidator, TokenRefresher) - Constructor for class org.atmosphere.interceptor.AuthInterceptor
Create an AuthInterceptor with a programmatic validator and refresher.
authorize(AtmosphereResource, String, RoomAction) - Method in interface org.atmosphere.room.auth.RoomAuthorizer
Check if the resource is authorized to perform the action in the room.
authorizer() - Element in annotation interface org.atmosphere.room.auth.RoomAuth
The authorizer class to use for room operations.
authType(String) - Method in interface org.atmosphere.cpr.AtmosphereRequest.Builder
 
authType(String) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
autoConfigureService(ServletContext) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
AUTODETECT_BROADCASTER - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Scan the classpath to find Broadcaster
autoDetectAtmosphereHandlers(ServletContext, ClassLoader) - Method in class org.atmosphere.cpr.AtmosphereFramework
Auto detect instance of AtmosphereHandler in case META-INF/atmosphere.xml is missing.
autoDetectContainer() - Method in class org.atmosphere.cpr.AtmosphereFramework
Auto detect the underlying Servlet Container we are running on.
autoDetectHandlers - Variable in class org.atmosphere.cpr.AtmosphereFramework
 
autoDetectHandlers - Variable in class org.atmosphere.cpr.AtmosphereFrameworkInitializer
 
autoDetectWebSocketHandler(ServletContext, ClassLoader) - Method in class org.atmosphere.cpr.AtmosphereFramework
Auto detect instance of WebSocketHandler in case META-INF/atmosphere.xml is missing.
available(AtmosphereResource) - Method in interface org.atmosphere.cpr.AtmosphereResourceFactory.Async
A stub representing an AtmosphereResource located somewhere in a cluster
awaitAndBroadcast(Object, long, TimeUnit) - Method in interface org.atmosphere.cpr.Broadcaster
Await for available AtmosphereResource before broadcasting.
awaitAndBroadcast(Object, long, TimeUnit) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
awaitTermination(long, TimeUnit) - Method in class org.atmosphere.util.VoidExecutorService
 

B

b(Object) - Method in class org.atmosphere.util.AbstractBroadcasterProxy
 
B() - Constructor for class org.atmosphere.interceptor.AtmosphereResourceStateRecovery.B
 
BackpressureInterceptor - Class in org.atmosphere.interceptor
Backpressure interceptor that tracks per-client pending message counts and applies configurable policies when a client falls behind.
BackpressureInterceptor() - Constructor for class org.atmosphere.interceptor.BackpressureInterceptor
 
BackpressureInterceptor.Policy - Enum Class in org.atmosphere.interceptor
Backpressure drop policy.
BACKWARD_COMPATIBLE_WEBSOCKET_BEHAVIOR - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Before 1.0.12, WebSocket's AtmosphereResource manually added to Broadcaster were added without checking if the parent, e.g the AtmosphereResource's created on the first request was already added to the Broadcaster.
bb - Variable in class org.atmosphere.websocket.WebSocket
 
bc - Variable in class org.atmosphere.cpr.DefaultBroadcaster
 
BEFORE_DEFAULT - Enum constant in enum class org.atmosphere.interceptor.InvokationOrder.PRIORITY
The AtmosphereInterceptor must be executed before the default set of AtmosphereInterceptor.
BEFORE_DEFAULT - Static variable in interface org.atmosphere.interceptor.InvokationOrder
 
binaryWrite - Variable in class org.atmosphere.websocket.WebSocket
 
binaryWrite(boolean) - Method in class org.atmosphere.websocket.WebSocket
Switch to binary write, or go back to text write.
BlockingIOCometSupport - Class in org.atmosphere.container
This class is used when the AtmosphereFramework fails to autodetect the Servlet Container we are running on.
BlockingIOCometSupport(AtmosphereConfig) - Constructor for class org.atmosphere.container.BlockingIOCometSupport
 
body - Variable in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
body() - Method in interface org.atmosphere.cpr.AtmosphereRequest
Return the request's body.
body() - Method in class org.atmosphere.cpr.AtmosphereRequestImpl
 
body(byte[]) - Method in interface org.atmosphere.cpr.AtmosphereRequest
 
body(byte[]) - Method in interface org.atmosphere.cpr.AtmosphereRequest.Builder
 
body(byte[]) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl
 
body(byte[]) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
body(byte[], int, int) - Method in interface org.atmosphere.cpr.AtmosphereRequest.Builder
 
body(byte[], int, int) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
body(InputStream) - Method in interface org.atmosphere.cpr.AtmosphereRequest
 
body(InputStream) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl
 
body(Reader) - Method in interface org.atmosphere.cpr.AtmosphereRequest
 
body(Reader) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl
 
body(String) - Method in interface org.atmosphere.cpr.AtmosphereRequest
 
body(String) - Method in interface org.atmosphere.cpr.AtmosphereRequest.Builder
 
body(String) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl
 
body(String) - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
borrowBroadcaster(Object) - Method in class org.atmosphere.pool.BoundedApachePoolableProvider
 
borrowBroadcaster(Object) - Method in interface org.atmosphere.pool.PoolableProvider
Return a Broadcaster
borrowBroadcaster(Object) - Method in class org.atmosphere.pool.UnboundedApachePoolableProvider
 
BoundedApachePoolableProvider - Class in org.atmosphere.pool
An Bounder Broadcaster Pool Provider of Broadcaster.
BoundedApachePoolableProvider() - Constructor for class org.atmosphere.pool.BoundedApachePoolableProvider
 
BoundedMemoryCache - Class in org.atmosphere.cache
A bounded, in-memory BroadcasterCache that stores recent broadcast messages per client UUID.
BoundedMemoryCache() - Constructor for class org.atmosphere.cache.BoundedMemoryCache
 
broadcast(Object) - Method in interface org.atmosphere.cpr.Broadcaster
Broadcast the Object to all suspended responses, eg.
broadcast(Object) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcast(Object) - Method in class org.atmosphere.room.DefaultRoom
 
broadcast(Object) - Method in interface org.atmosphere.room.Room
Broadcast a message to all members of this room.
broadcast(Object) - Method in class org.atmosphere.util.AbstractBroadcasterProxy
 
broadcast(Object) - Method in class org.atmosphere.util.SimpleBroadcaster
 
broadcast(Object) - Method in class org.atmosphere.websocket.WebSocket
Broadcast, using the AtmosphereResource.getBroadcaster() the object to all WebSocket associated with the Broadcaster.
broadcast(Object, HttpSession) - Method in class org.atmosphere.util.ExcludeSessionBroadcaster
session will be exclude for this broadcast
broadcast(Object, List<HttpSession>) - Method in class org.atmosphere.util.ExcludeSessionBroadcaster
a list of sessions will be exclude for this broadcast
broadcast(Object, Set<AtmosphereResource>) - Method in interface org.atmosphere.cpr.Broadcaster
Broadcast the Object to all suspended response, eg.
broadcast(Object, Set<AtmosphereResource>) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcast(Object, Set<AtmosphereResource>) - Method in class org.atmosphere.util.AbstractBroadcasterProxy
 
broadcast(Object, Set<AtmosphereResource>) - Method in class org.atmosphere.util.ExcludeSessionBroadcaster
the AtmosphereResources subset will be exclude for this broadcast
broadcast(Object, Set<AtmosphereResource>) - Method in class org.atmosphere.util.SimpleBroadcaster
 
broadcast(Object, AtmosphereResource) - Method in interface org.atmosphere.cpr.Broadcaster
Broadcast the Object to all suspended responses, eg.
broadcast(Object, AtmosphereResource) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcast(Object, AtmosphereResource) - Method in class org.atmosphere.room.DefaultRoom
 
broadcast(Object, AtmosphereResource) - Method in interface org.atmosphere.room.Room
Broadcast a message to all members except the sender.
broadcast(Object, AtmosphereResource) - Method in class org.atmosphere.util.AbstractBroadcasterProxy
 
broadcast(Object, AtmosphereResource) - Method in class org.atmosphere.util.ExcludeSessionBroadcaster
the AtmosphereResource r will be exclude for this broadcast
broadcast(Object, AtmosphereResource) - Method in class org.atmosphere.util.SimpleBroadcaster
 
broadcast(String, Object, int, TimeUnit, boolean, boolean) - Method in class org.atmosphere.cpr.DefaultMetaBroadcaster
 
Broadcast(String, Object) - Constructor for record class org.atmosphere.room.protocol.RoomProtocolMessage.Broadcast
Creates an instance of a Broadcast record class.
BROADCAST - Enum constant in enum class org.atmosphere.room.RoomAction
 
BROADCAST_FILTER_CLASSES - Static variable in interface org.atmosphere.cpr.ApplicationConfig
A list of BroadcastFilter separated by comma that will be added to every new Broadcaster.
BroadcastAction(Object) - Constructor for record class org.atmosphere.cpr.BroadcastFilter.BroadcastAction
 
BroadcastAction(BroadcastFilter.BroadcastAction.ACTION, Object) - Constructor for record class org.atmosphere.cpr.BroadcastFilter.BroadcastAction
 
BroadcastAction(BroadcastFilter.BroadcastAction.ACTION, Object, Object) - Constructor for record class org.atmosphere.cpr.BroadcastFilter.BroadcastAction
Creates an instance of a BroadcastAction record class.
broadcaster - Variable in class org.atmosphere.cpr.AtmosphereResourceImpl
 
broadcaster() - Method in interface org.atmosphere.config.managed.ManagedServiceInterceptor.ManagedAnnotation
 
broadcaster() - Element in annotation interface org.atmosphere.config.service.AtmosphereHandlerService
The Broadcaster class name
broadcaster() - Element in annotation interface org.atmosphere.config.service.AtmosphereService
The Broadcaster class name
broadcaster() - Element in annotation interface org.atmosphere.config.service.ManagedService
The Broadcaster class name
broadcaster() - Element in annotation interface org.atmosphere.config.service.WebSocketHandlerService
The Broadcaster class name
broadcaster() - Method in class org.atmosphere.cpr.AtmosphereHandlerWrapper
 
broadcaster() - Method in interface org.atmosphere.cpr.AtmosphereResourceEvent
Return the broadcaster associated with the AtmosphereResource this object contains.
broadcaster() - Method in class org.atmosphere.cpr.AtmosphereResourceEventImpl
 
broadcaster() - Method in class org.atmosphere.room.DefaultRoom
 
broadcaster(AtmosphereFramework, Class<? extends Broadcaster>, String) - Static method in class org.atmosphere.annotation.AnnotationUtil
 
Broadcaster - Interface in org.atmosphere.cpr
A Broadcaster is responsible for delivering messages to its subscribed AtmosphereResources, which are representing suspended responses.
BROADCASTER - Enum constant in enum class org.atmosphere.config.service.DeliverTo.DELIVER_TO
 
BROADCASTER - Enum constant in enum class org.atmosphere.config.service.Ready.DELIVER_TO
Deprecated.
BROADCASTER_ASYNC_WRITE_THREADPOOL_MAXSIZE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The maximum number of Thread created when writing requests BroadcasterConfig.setAsyncWriteService(java.util.concurrent.ExecutorService).
BROADCASTER_CACHE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The default BroadcasterCache class.
BROADCASTER_CACHE_STRATEGY - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Define when a broadcasted message is cached.
BROADCASTER_CLASS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The default Broadcaster class.
BROADCASTER_FACTORY - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The default BroadcasterFactory class.
BROADCASTER_FACTORY - Static variable in interface org.atmosphere.cpr.FrameworkConfig
The current installed BroadcasterFactory
BROADCASTER_FACTORY_EMPTY_WAIT_TIME_IN_SECONDS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The time, in second, to wait for a new object from the BoundedApachePoolableProvider
BROADCASTER_FACTORY_POOL_SIZE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The size of the pool powering BoundedApachePoolableProvider
BROADCASTER_LIFECYCLE_POLICY - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The BroadcasterLifeCyclePolicy policy to use.
BROADCASTER_LIFECYCLE_POLICY_IDLETIME - Static variable in interface org.atmosphere.cpr.ApplicationConfig
BroadcasterLifecycle max idle time before executing.
BROADCASTER_MESSAGE_PROCESSING_THREADPOOL_MAXSIZE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The maximum number of Thread created when processing broadcast operations BroadcasterConfig.setExecutorService(java.util.concurrent.ExecutorService).
BROADCASTER_POLICY - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Allow defining the Broadcaster's Suspend Policy Broadcaster.setSuspendPolicy(long, org.atmosphere.cpr.Broadcaster.POLICY).
BROADCASTER_POLICY_TIMEOUT - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Allow defining the Broadcaster's maximum Suspended Atmosphere Policy Broadcaster.setSuspendPolicy(long, org.atmosphere.cpr.Broadcaster.POLICY).
BROADCASTER_SHARABLE_THREAD_POOLS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Configure Broadcaster to share the same ExecutorService among them.
BROADCASTER_SHAREABLE_LISTENERS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Share between Broadcaster the same List of BroadcasterListener and BroadcasterLifeCyclePolicyListener.
BROADCASTER_THREAD_POOL - Static variable in class org.atmosphere.util.ExecutorsFactory
 
BROADCASTER_WAIT_TIME - Static variable in interface org.atmosphere.cpr.ApplicationConfig
The sleep time, in millisecond, before the DefaultBroadcaster release its reactive thread for pushing message and execute async write.
Broadcaster.POLICY - Enum Class in org.atmosphere.cpr
 
Broadcaster.SCOPE - Enum Class in org.atmosphere.cpr
 
broadcasterCache() - Element in annotation interface org.atmosphere.config.service.AtmosphereHandlerService
The BroadcasterCache class name.
broadcasterCache() - Element in annotation interface org.atmosphere.config.service.AtmosphereService
The BroadcasterCache class name
broadcasterCache() - Element in annotation interface org.atmosphere.config.service.ManagedService
The BroadcasterCache class name
broadcasterCache() - Element in annotation interface org.atmosphere.config.service.WebSocketHandlerService
The BroadcasterCache class name.
BroadcasterCache - Interface in org.atmosphere.cpr
A BroadcasterCache is a cache for broadcasted messages.
BroadcasterCacheInspector - Interface in org.atmosphere.cache
Inspect BroadcastMessages before they get added to the BroadcasterCache.
BroadcasterCacheInspectorService - Annotation Interface in org.atmosphere.config.service
Annotation used to mark a BroadcasterCacheInspector.
BroadcasterCacheInspectorServiceProcessor - Class in org.atmosphere.annotation
 
BroadcasterCacheInspectorServiceProcessor() - Constructor for class org.atmosphere.annotation.BroadcasterCacheInspectorServiceProcessor
 
BroadcasterCacheListener - Interface in org.atmosphere.cpr
Listener for BroadcasterCache
BroadcasterCacheListenererviceProcessor - Class in org.atmosphere.annotation
 
BroadcasterCacheListenererviceProcessor() - Constructor for class org.atmosphere.annotation.BroadcasterCacheListenererviceProcessor
 
broadcasterCacheListeners() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
BroadcasterCacheListenerService - Annotation Interface in org.atmosphere.config.service
An annotation for installing BroadcasterListener
BroadcasterCacheService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which BroadcasterCache class to use by default.
BroadcasterCacheServiceProcessor - Class in org.atmosphere.annotation
 
BroadcasterCacheServiceProcessor() - Constructor for class org.atmosphere.annotation.BroadcasterCacheServiceProcessor
 
broadcasterClass(AtmosphereFramework, Class<? extends Broadcaster>) - Static method in class org.atmosphere.annotation.AnnotationUtil
 
BroadcasterConfig - Class in org.atmosphere.cpr
Handle Broadcaster configuration like ExecutorService and BroadcastFilter.
BroadcasterConfig(ExecutorService, ExecutorService, ScheduledExecutorService, AtmosphereConfig, String) - Constructor for class org.atmosphere.cpr.BroadcasterConfig
Create a new BroadcasterConfig.
BroadcasterConfig(List<String>, AtmosphereConfig, boolean, String) - Constructor for class org.atmosphere.cpr.BroadcasterConfig
Create a new BroadcasterConfig.
BroadcasterConfig(List<String>, AtmosphereConfig, String) - Constructor for class org.atmosphere.cpr.BroadcasterConfig
Create a new BroadcasterConfig.
BroadcasterConfig.FilterManipulator - Interface in org.atmosphere.cpr
Manipulate the message before and after they are getting filtered by BroadcastFilter
broadcasterFactory() - Static method in class org.atmosphere.cpr.Universe
broadcasterFactory(BroadcasterFactory) - Static method in class org.atmosphere.cpr.Universe
Set the must be unique BroadcasterFactory
BroadcasterFactory - Interface in org.atmosphere.cpr
Factory for Broadcaster used by Atmosphere when creating broadcasters.
BroadcasterFactory.BroadcasterCreationException - Exception Class in org.atmosphere.cpr
 
BroadcasterFactoryInjectable - Class in org.atmosphere.inject
 
BroadcasterFactoryInjectable() - Constructor for class org.atmosphere.inject.BroadcasterFactoryInjectable
 
BroadcasterFactoryService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which BroadcasterFactory class to use by default.
BroadcasterFactoryServiceProcessor - Class in org.atmosphere.annotation
 
BroadcasterFactoryServiceProcessor() - Constructor for class org.atmosphere.annotation.BroadcasterFactoryServiceProcessor
 
broadcasterFilters() - Method in class org.atmosphere.cpr.AtmosphereFramework
Return the list of BroadcastFilters.
broadcasterFilters(BroadcastFilter) - Method in class org.atmosphere.cpr.AtmosphereFramework
BroadcasterFilterService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere to add the BroadcastFilter to all created Broadcaster
BroadcasterFuture<E> - Class in org.atmosphere.cpr
Simple Future that can be used when awaiting for a Broadcaster to finish its broadcast operation to AtmosphereHandler.
BroadcasterFuture(E) - Constructor for class org.atmosphere.cpr.BroadcasterFuture
 
BroadcasterFuture(E, int) - Constructor for class org.atmosphere.cpr.BroadcasterFuture
 
BroadcasterFuture(Future<?>, E) - Constructor for class org.atmosphere.cpr.BroadcasterFuture
 
BroadcasterFuture(Future<?>, E, int) - Constructor for class org.atmosphere.cpr.BroadcasterFuture
 
broadcasterID(String) - Method in class org.atmosphere.cpr.BroadcasterConfig
 
BroadcasterIntrospector - Class in org.atmosphere.inject
Broadcaster and Named injection support.
BroadcasterIntrospector() - Constructor for class org.atmosphere.inject.BroadcasterIntrospector
 
BroadcasterLifecycle - Class in org.atmosphere.cpr
Encapsulates the lifecycle management concern for a DefaultBroadcaster.
BroadcasterLifecycle() - Constructor for class org.atmosphere.cpr.BroadcasterLifecycle
 
broadcasterLifeCyclePolicy() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
broadcasterLifeCyclePolicy(String) - Method in class org.atmosphere.cpr.AtmosphereFramework
 
BroadcasterLifeCyclePolicy - Class in org.atmosphere.cpr
This class can be used to configure the life cycle of a Broadcaster, eg.
BroadcasterLifeCyclePolicy.ATMOSPHERE_RESOURCE_POLICY - Enum Class in org.atmosphere.cpr
 
BroadcasterLifeCyclePolicy.Builder - Class in org.atmosphere.cpr
 
BroadcasterLifecyclePolicyHandler - Class in org.atmosphere.lifecycle
 
BroadcasterLifecyclePolicyHandler() - Constructor for class org.atmosphere.lifecycle.BroadcasterLifecyclePolicyHandler
 
BroadcasterLifeCyclePolicyListener - Interface in org.atmosphere.cpr
Simple listener to be used to track BroadcasterLifeCyclePolicy events.
BroadcasterLifeCyclePolicyListenerAdapter - Class in org.atmosphere.cpr
Simple adapter listener to be used to track BroadcasterLifeCyclePolicy events.
BroadcasterLifeCyclePolicyListenerAdapter() - Constructor for class org.atmosphere.cpr.BroadcasterLifeCyclePolicyListenerAdapter
 
broadcasterListener - Variable in class org.atmosphere.cpr.AtmosphereSession
 
BroadcasterListener - Interface in org.atmosphere.cpr
A listener for a Broadcaster's event lifecycle.
BroadcasterListener.BroadcastListenerException - Exception Class in org.atmosphere.cpr
Throw this exception to interrupt the Broadcaster.destroy() operation.
BroadcasterListenerAdapter - Class in org.atmosphere.cpr
An implementation of BroadcasterListener.
BroadcasterListenerAdapter() - Constructor for class org.atmosphere.cpr.BroadcasterListenerAdapter
 
broadcasterListeners - Variable in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcasterListeners - Variable in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
broadcasterListeners() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
broadcasterListeners() - Method in interface org.atmosphere.cpr.BroadcasterFactory
broadcasterListeners() - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcasterListeners() - Method in class org.atmosphere.cpr.DefaultBroadcasterFactory
BroadcasterListenerService - Annotation Interface in org.atmosphere.config.service
An annotation for installing BroadcasterListener
BroadcasterListenerServiceProcessor - Class in org.atmosphere.annotation
 
BroadcasterListenerServiceProcessor() - Constructor for class org.atmosphere.annotation.BroadcasterListenerServiceProcessor
 
BroadcasterMembership - Class in org.atmosphere.cpr
Encapsulates the resource membership concern for a DefaultBroadcaster.
BroadcasterMembership() - Constructor for class org.atmosphere.cpr.BroadcasterMembership
 
broadcasters - Variable in class org.atmosphere.cpr.AtmosphereResourceImpl
 
broadcasters() - Method in interface org.atmosphere.cpr.AtmosphereResource
Return an unmodifiable list of Broadcasters associated with this resource
broadcasters() - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
BroadcasterService - Annotation Interface in org.atmosphere.config.service
An annotation for telling Atmosphere which Broadcaster class to use by default.
BroadcasterServiceProcessor - Class in org.atmosphere.annotation
 
BroadcasterServiceProcessor() - Constructor for class org.atmosphere.annotation.BroadcasterServiceProcessor
 
broadcasterSetup - Variable in class org.atmosphere.cpr.AtmosphereFramework
 
BroadcasterSetup - Class in org.atmosphere.cpr
Encapsulates broadcaster-related configuration and state for the Atmosphere framework.
BroadcasterTracker() - Constructor for class org.atmosphere.interceptor.AtmosphereResourceStateRecovery.BroadcasterTracker
 
broadcasterTypes() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
BroadcastFilter - Interface in org.atmosphere.cpr
Transform a message before it get broadcasted to AtmosphereHandler.onStateChange(org.atmosphere.cpr.AtmosphereResourceEvent).
BroadcastFilter.BroadcastAction - Record Class in org.atmosphere.cpr
Simple class that tells the Broadcaster to broadcast or not the transformed value.
BroadcastFilter.BroadcastAction.ACTION - Enum Class in org.atmosphere.cpr
 
BroadcastFilterAdapter - Class in org.atmosphere.cpr
BroadcastFilterAdapter() - Constructor for class org.atmosphere.cpr.BroadcastFilterAdapter
 
BroadcastFilterLifecycle - Interface in org.atmosphere.cpr
Add lifecycle method to the BroadcastFilter interface.
broadcastFilters() - Element in annotation interface org.atmosphere.config.service.AtmosphereHandlerService
A list of BroadcastFilter
broadcastFilters() - Element in annotation interface org.atmosphere.config.service.AtmosphereService
A list of BroadcastFilter
broadcastFilters() - Element in annotation interface org.atmosphere.config.service.ManagedService
A list of BroadcastFilter
broadcastFilters() - Element in annotation interface org.atmosphere.config.service.WebSocketHandlerService
A list of BroadcastFilter
BroadcastFilterServiceProcessor - Class in org.atmosphere.annotation
 
BroadcastFilterServiceProcessor() - Constructor for class org.atmosphere.annotation.BroadcastFilterServiceProcessor
 
BroadcastListenerException() - Constructor for exception class org.atmosphere.cpr.BroadcasterListener.BroadcastListenerException
 
BroadcastMessage - Record Class in org.atmosphere.cache
A wrapper around an object passed to Broadcaster.broadcast(Object)
BroadcastMessage(Object) - Constructor for record class org.atmosphere.cache.BroadcastMessage
 
BroadcastMessage(String, Object) - Constructor for record class org.atmosphere.cache.BroadcastMessage
Creates an instance of a BroadcastMessage record class.
BroadcastOnPostAtmosphereInterceptor - Class in org.atmosphere.interceptor
This read the request's body and invoke the associated Broadcaster of an AtmosphereResource.
BroadcastOnPostAtmosphereInterceptor() - Constructor for class org.atmosphere.interceptor.BroadcastOnPostAtmosphereInterceptor
 
broadcastOnResume - Variable in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcastOnResume(Object) - Method in interface org.atmosphere.cpr.Broadcaster
Broadcast the Object when an AtmosphereResource is resumed by a timeout or when using AtmosphereResource.resume().
broadcastOnResume(Object) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcastOnResume(AtmosphereResource) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
broadcastReceivedMessage(Object) - Method in class org.atmosphere.util.AbstractBroadcasterProxy
 
broadcastTo(String, Object) - Method in class org.atmosphere.cpr.DefaultMetaBroadcaster
 
broadcastTo(String, Object) - Method in interface org.atmosphere.cpr.MetaBroadcaster
Broadcast the message to all Broadcasters whose Broadcaster.getID() matches the broadcasterID value.
broadcastTo(String, Object, boolean) - Method in class org.atmosphere.cpr.DefaultMetaBroadcaster
 
broadcastTo(String, Object, boolean) - Method in interface org.atmosphere.cpr.MetaBroadcaster
Broadcast the message to all Broadcasters whose Broadcaster.getID() matches the broadcasterID value.
build() - Method in interface org.atmosphere.cpr.AtmosphereRequest.Builder
 
build() - Method in class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
build() - Method in interface org.atmosphere.cpr.AtmosphereResponse.Builder
 
build() - Method in class org.atmosphere.cpr.AtmosphereResponseImpl.Builder
 
build() - Method in class org.atmosphere.cpr.BroadcasterLifeCyclePolicy.Builder
 
Builder() - Constructor for class org.atmosphere.cpr.AtmosphereRequestImpl.Builder
 
Builder() - Constructor for class org.atmosphere.cpr.AtmosphereResponseImpl.Builder
 
Builder() - Constructor for class org.atmosphere.cpr.BroadcasterLifeCyclePolicy.Builder
 
BUILT_IN_SESSION - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Use a build in HttpSession when using native WebSocket implementation.
ByteArrayAsyncWriter - Class in org.atmosphere.util
ByteArrayAsyncWriter() - Constructor for class org.atmosphere.util.ByteArrayAsyncWriter
 
byteBufferMaxSize() - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
byteBufferMaxSize(int) - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
BYTECODE_PROCESSOR - Static variable in interface org.atmosphere.cpr.ApplicationConfig
For use of (@link BytecodeBasedAnnotationProcessor} Default: false Value: org.atmosphere.cpr.annotation.useBytecodeProcessor
byteLength() - Method in interface org.atmosphere.cpr.AtmosphereRequestImpl.Body
byteLength() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.BytesBody
 
byteLength() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.EmptyBody
 
byteLength() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.StringBody
 
byteOffset() - Method in interface org.atmosphere.cpr.AtmosphereRequestImpl.Body
byteOffset() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.BytesBody
 
byteOffset() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.EmptyBody
 
byteOffset() - Method in record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.StringBody
 
BytesBody(byte[], int, int) - Constructor for record class org.atmosphere.cpr.AtmosphereRequestImpl.Body.BytesBody
Creates an instance of a BytesBody record class.

C

cache - Variable in class org.atmosphere.cpr.Deliver
 
cache(String, Object) - Method in interface org.atmosphere.cpr.MetaBroadcaster.MetaBroadcasterCache
Cache the Broadcaster ID and message
cache(String, Object) - Method in class org.atmosphere.cpr.MetaBroadcaster.NoCache
 
cache(String, Object) - Method in class org.atmosphere.cpr.MetaBroadcaster.ThirtySecondsCache
 
cache(MetaBroadcaster.MetaBroadcasterCache) - Method in class org.atmosphere.cpr.DefaultMetaBroadcaster
 
cache(MetaBroadcaster.MetaBroadcasterCache) - Method in interface org.atmosphere.cpr.MetaBroadcaster
CACHE_CONTROL - Static variable in interface org.atmosphere.cpr.HeaderConfig
 
CACHE_MAX_SIZE - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Maximum number of messages to keep per broadcaster in the BoundedMemoryCache.
CACHE_MESSAGE_ON_IO_FLUSH_EXCEPTION - Static variable in interface org.atmosphere.cpr.ApplicationConfig
If a I/O exception occurs during a flush() or flushBuffer() exception, cache the bytes that was previously written.
CACHE_TTL_SECONDS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Time-to-live in seconds for cached messages in the BoundedMemoryCache.
cacheAndSuspend(AtmosphereResource) - Method in class org.atmosphere.cpr.DefaultBroadcaster
Look in the cache to see if there are messages available, and take the appropriate actions.
cacheCandidate(String, String) - Method in class org.atmosphere.cache.AbstractBroadcasterCache
 
cacheCandidate(String, String) - Method in class org.atmosphere.cache.BoundedMemoryCache
 
cacheCandidate(String, String) - Method in class org.atmosphere.cache.DefaultBroadcasterCache
 
cacheCandidate(String, String) - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
cacheCandidate(String, String) - Method in interface org.atmosphere.cpr.BroadcasterCache
Add a AtmosphereResource.uuid() to the list of active AtmosphereResource Message will be cached for the resource associated with the uuid.
CACHED - Static variable in class org.atmosphere.cpr.DefaultBroadcaster
 
CacheHeadersInterceptor - Class in org.atmosphere.interceptor
At interceptor for customizing the following headers: Expire, Cache-Control, Pragma, Access-Control-Origin and Access-Control-Allow-Credential.
CacheHeadersInterceptor() - Constructor for class org.atmosphere.interceptor.CacheHeadersInterceptor
 
cacheLostMessage(AtmosphereResource, boolean) - Method in class org.atmosphere.cpr.DefaultBroadcaster
Cache the message because an unexpected exception occurred.
cacheLostMessage(AtmosphereResource, DefaultBroadcaster.AsyncWriteToken) - Method in class org.atmosphere.cpr.DefaultBroadcaster
Cache the message because an unexpected exception occurred.
cacheLostMessage(AtmosphereResource, DefaultBroadcaster.AsyncWriteToken, boolean) - Method in class org.atmosphere.cpr.DefaultBroadcaster
Cache the message because an unexpected exception occurred.
CacheMessage - Record Class in org.atmosphere.cache
 
CacheMessage(String, long, Object, String) - Constructor for record class org.atmosphere.cache.CacheMessage
Creates an instance of a CacheMessage record class.
CacheMessage(String, Object, String) - Constructor for record class org.atmosphere.cache.CacheMessage
 
cacheMessageOnIOException(Throwable) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
CALLBACK_JAVASCRIPT_PROTOCOL - Static variable in interface org.atmosphere.cpr.FrameworkConfig
The callback for handshaking the JavaScriptProtocol.
callMain(Class<?>, String[]) - Static method in class org.atmosphere.util.IntrospectionUtils
 
callMethod0(Object, String) - Static method in class org.atmosphere.util.IntrospectionUtils
 
callMethod1(Object, String, Object, String, ClassLoader) - Static method in class org.atmosphere.util.IntrospectionUtils
 
callMethodN(Object, String, Object[], Class<?>[]) - Static method in class org.atmosphere.util.IntrospectionUtils
 
cancel() - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
cancel(boolean) - Method in class org.atmosphere.cpr.BroadcasterFuture
 
CANCEL_SUSPEND_OPERATION - Static variable in interface org.atmosphere.cpr.FrameworkConfig
Cancel suspending a connection.
cancelled(AtmosphereRequest, AtmosphereResponse) - Method in class org.atmosphere.container.BlockingIOCometSupport
 
cancelled(AtmosphereRequest, AtmosphereResponse) - Method in class org.atmosphere.container.Servlet30CometSupport
 
cancelled(AtmosphereRequest, AtmosphereResponse) - Method in class org.atmosphere.cpr.AsynchronousProcessor
All proprietary Comet based Servlet must invoke the cancelled method when the underlying WebServer detect that the client closed the connection.
CANCELLED - Enum constant in enum class org.atmosphere.cpr.Action.TYPE
Cancel the current connection/response and close it.
CANCELLED - Enum constant in enum class org.atmosphere.cpr.AtmosphereResourceImpl.LifecycleState
AtmosphereResourceImpl.cancel() called successfully.
CANCELLED - Static variable in record class org.atmosphere.cpr.Action
 
cancelledAction - Static variable in class org.atmosphere.cpr.AsynchronousProcessor
 
candidateForPoolable - Variable in class org.atmosphere.cpr.DefaultBroadcaster
 
Capabilities - Search tag in class org.atmosphere.config.managed.AnnotatedLifecycle
Section
capitalize(String) - Static method in class org.atmosphere.util.IntrospectionUtils
Reverse of Introspector.decapitalize
cb - Variable in class org.atmosphere.websocket.WebSocket
 
CDI_INJECTOR - Static variable in interface org.atmosphere.cpr.FrameworkConfig
CDI Injector
CDIProducer - Interface in org.atmosphere.inject
A simple marker interface for for the CDI extension.
changeSessionId() - Method in class org.atmosphere.cpr.NoOpsRequest
 
charBufferMaxSize() - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
charBufferMaxSize(int) - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
check() - Method in class org.atmosphere.metrics.AtmosphereHealth
Perform a health check and return status details.
checkCachedAndPush(AtmosphereResource, AtmosphereResourceEvent) - Method in class org.atmosphere.cpr.DefaultBroadcaster
 
checkDefault(Class<? extends AtmosphereInterceptor>) - Static method in class org.atmosphere.annotation.AnnotationUtil
 
checkOrigin(String) - Method in class org.atmosphere.container.JSR356AsyncSupport.AtmosphereConfigurator
Calls JSR356AsyncSupport.AtmosphereConfigurator.checkOrigin(String) in super class if a Default Configurator could be loaded.
checkValid() - Method in class org.atmosphere.cpr.DefaultAtmosphereResourceSession
 
checkWebSocketSupportState() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
checkWebSocketSupportState() - Method in class org.atmosphere.cpr.HandlerRegistry
Add a void handler if no handlers are registered and WebSocket protocol is in use.
ChunkConcatReaderPool - Class in org.atmosphere.util
Creates a signle reader instance from a sequence of readers.
ChunkConcatReaderPool() - Constructor for class org.atmosphere.util.ChunkConcatReaderPool
 
claims() - Method in record class org.atmosphere.auth.TokenValidator.Valid
Returns the value of the claims record component.
classpathScanner - Variable in class org.atmosphere.cpr.AtmosphereFramework
 
ClasspathScanner - Class in org.atmosphere.cpr
Encapsulates classpath scanning configuration and state for the Atmosphere framework.
clazz - Variable in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
CLEAN_CLOSE - Static variable in class org.atmosphere.websocket.WebSocket
 
cleanup() - Method in class org.atmosphere.cache.AbstractBroadcasterCache
 
cleanup() - Method in class org.atmosphere.cache.BoundedMemoryCache
 
cleanup() - Method in class org.atmosphere.cache.DefaultBroadcasterCache
 
cleanup() - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
cleanup() - Method in interface org.atmosphere.cpr.BroadcasterCache
Clean resources associated with this instance.
clear() - Method in class org.atmosphere.cpr.AtmosphereRequest.LocalAttributes
 
clear() - Method in class org.atmosphere.cpr.BroadcasterMembership
Clear all members.
clear() - Method in class org.atmosphere.cpr.FrameworkEventDispatcher
Clear all listeners.
clear() - Method in class org.atmosphere.cpr.HandlerRegistry
Clear all handlers.
clear() - Method in class org.atmosphere.cpr.InterceptorRegistry
Clear all interceptors and excluded interceptors.
clear() - Static method in class org.atmosphere.util.IntrospectionUtils
 
clearCache(String, String, CacheMessage) - Method in class org.atmosphere.cache.AbstractBroadcasterCache
 
clearCache(String, String, CacheMessage) - Method in class org.atmosphere.cache.BoundedMemoryCache
 
clearCache(String, String, CacheMessage) - Method in class org.atmosphere.cache.DefaultBroadcasterCache
 
clearCache(String, String, CacheMessage) - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
clearCache(String, String, CacheMessage) - Method in interface org.atmosphere.cpr.BroadcasterCache
Remove the previously cached message.
clearListeners() - Method in class org.atmosphere.cpr.BroadcasterLifecycle
Clear all lifecycle listeners.
CLIENT_HEARTBEAT_INTERVAL_IN_SECONDS - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Configuration key for client heartbeat.
clientHeartbeatFrequencyInSeconds() - Method in class org.atmosphere.interceptor.HeartbeatInterceptor
Gets the desired heartbeat frequency from client.
clientHeartbeatFrequencyInSeconds(int) - Method in class org.atmosphere.interceptor.HeartbeatInterceptor
 
clock(int, AtmosphereResource, AtmosphereRequest, AtmosphereResponse) - Method in class org.atmosphere.interceptor.HeartbeatInterceptor
Configures the heartbeat sent by the server in an interval in seconds specified in parameter for the given resource.
cloneRequest(HttpServletRequest, boolean, boolean, boolean, boolean) - Static method in class org.atmosphere.cpr.AtmosphereRequestImpl
Copy the HttpServletRequest content inside an AtmosphereRequest.
cloneState(AtmosphereResource) - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
close() - Method in class org.atmosphere.container.version.JSR356WebSocket
 
close() - Method in interface org.atmosphere.cpr.AtmosphereResource
Close the underlying connection.
close() - Method in class org.atmosphere.cpr.AtmosphereResourceImpl
 
close() - Method in interface org.atmosphere.cpr.AtmosphereResponse
Close the associated AsyncIOWriter.
close() - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
close() - Method in class org.atmosphere.cpr.AtmosphereSession
 
close() - Method in class org.atmosphere.util.ReaderInputStream
Close the stream.
close() - Method in class org.atmosphere.websocket.WebSocket
Close the underlying WebSocket
close(int, String) - Method in class org.atmosphere.websocket.WebSocket
Allow the underlying WebSocket to close with a code and a reason.
close(Closeable...) - Static method in class org.atmosphere.util.IOUtils
Tries to close the given objects and log the IOException at INFO level to make the code more readable when we assume that the IOException won't be managed.
close(AtmosphereResponse) - Method in interface org.atmosphere.cpr.AsyncIOWriter
Close the underlying connection.
close(AtmosphereResponse) - Method in class org.atmosphere.cpr.AsyncIOWriterAdapter
 
close(AtmosphereResponse) - Method in class org.atmosphere.cpr.AtmosphereInterceptorWriter
 
close(AtmosphereResponse) - Method in class org.atmosphere.util.ByteArrayAsyncWriter
 
close(AtmosphereResponse) - Method in class org.atmosphere.websocket.WebSocket
 
close(WebSocket, int) - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
close(WebSocket, int) - Method in interface org.atmosphere.websocket.WebSocketProcessor
Invked when the WebServer is closing the native WebSocket
close(WebSocket, int) - Method in class org.atmosphere.websocket.WebSocketProcessorAdapter
 
CLOSE - Enum constant in enum class org.atmosphere.cpr.AtmosphereResource.TRANSPORT
 
CLOSE - Enum constant in enum class org.atmosphere.websocket.WebSocketEventListener.WebSocketEvent.TYPE
 
CLOSE_STREAM_ON_CANCEL - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Close the AtmosphereResponseImpl.getOutputStream() when AtmosphereResource.close() gets invoked, or when the underlying server close the connection.
closeAtmosphereResource() - Method in class org.atmosphere.cpr.AtmosphereFramework
 
CLOSED_ATMOSPHERE_THINK_TIME - Static variable in interface org.atmosphere.cpr.ApplicationConfig
Wait X milliseconds before considering the AtmosphereResource closed.
closeMessage(HttpServletRequest) - Static method in class org.atmosphere.util.Utils
 
closeStreamOrWriter() - Method in interface org.atmosphere.cpr.AtmosphereResponse
Close the associated
invalid reference
PrintWriter
or OutputStream
closeStreamOrWriter() - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
CLOSING - Enum constant in enum class org.atmosphere.cpr.AtmosphereResourceImpl.LifecycleState
Resource is in the closing phase (entered completeLifecycle).
closingTime() - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
ClusterBroadcastFilter - Interface in org.atmosphere.cpr
Specialize BroadcastFilter used when clustering is enabled.
complete(E) - Method in interface org.atmosphere.cpr.AsyncSupport
Complete and close the connection associated with an implementation of AtmosphereResource
complete(AtmosphereResourceImpl) - Method in class org.atmosphere.container.BlockingIOCometSupport
 
complete(AtmosphereResourceImpl) - Method in class org.atmosphere.container.Servlet30CometSupport
 
complete(AtmosphereResourceImpl) - Method in class org.atmosphere.cpr.AsynchronousProcessor
 
completed() - Method in class org.atmosphere.cpr.AtmosphereResponseImpl
 
completed() - Method in interface org.atmosphere.cpr.CompletionAware
 
completeLifecycle(AtmosphereResource, boolean) - Method in class org.atmosphere.cpr.AsynchronousProcessor
Cancel or times out an AtmosphereResource by invoking it's associated AtmosphereHandler.onStateChange(AtmosphereResourceEvent)
CompletionAware - Interface in org.atmosphere.cpr
The CompletionAware interface is used by a class implementing the AtmosphereResponse interface to be notified when writing to the response has been completed.
computePath(AtmosphereRequest) - Method in class org.atmosphere.util.DefaultEndpointMapper
 
config - Variable in class org.atmosphere.cache.AbstractBroadcasterCache
 
config - Variable in class org.atmosphere.config.managed.ServiceInterceptor
 
config - Variable in class org.atmosphere.cpr.AsynchronousProcessor
 
config - Variable in class org.atmosphere.cpr.AtmosphereFramework
 
config - Variable in class org.atmosphere.cpr.DefaultBroadcaster
 
config - Variable in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
config - Variable in class org.atmosphere.pool.UnboundedApachePoolableProvider
 
config() - Method in class org.atmosphere.websocket.WebSocket
 
configExecutors() - Method in class org.atmosphere.cpr.BroadcasterConfig
 
Configuration - Search tag in class org.atmosphere.cache.BoundedMemoryCache
Section
Configuration (init-params) - Search tag in class org.atmosphere.interceptor.AuthInterceptor
Section
Configuration (init-params or ApplicationConfig) - Search tag in class org.atmosphere.interceptor.BackpressureInterceptor
Section
Configuration (init-params or ApplicationConfig) - Search tag in class org.atmosphere.interceptor.RateLimitingInterceptor
Section
configure(ServletConfig) - Method in class org.atmosphere.cpr.InterceptorRegistry
Configure interceptors from servlet init parameters and default list.
configure(Class<? extends Broadcaster>, String, AtmosphereConfig) - Method in interface org.atmosphere.cpr.BroadcasterFactory
Configure the factory
configure(Class<? extends Broadcaster>, String, AtmosphereConfig) - Method in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
configure(String) - Method in class org.atmosphere.cpr.DefaultBroadcasterFactory
 
configure(String) - Method in class org.atmosphere.pool.PoolableBroadcasterFactory
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cache.AbstractBroadcasterCache
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cache.BoundedMemoryCache
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cache.DefaultBroadcasterCache
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cache.UUIDBroadcasterCache
 
configure(AtmosphereConfig) - Method in class org.atmosphere.client.TrackMessageSizeInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.config.managed.ServiceInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cpr.AtmosphereInterceptorAdapter
 
configure(AtmosphereConfig) - Method in interface org.atmosphere.cpr.AtmosphereResourceFactory
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cpr.DefaultAnnotationProcessor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cpr.DefaultAtmosphereObjectFactory
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cpr.DefaultAtmosphereResourceFactory
 
configure(AtmosphereConfig) - Method in class org.atmosphere.cpr.DefaultMetaBroadcaster
 
configure(AtmosphereConfig) - Method in interface org.atmosphere.inject.AtmosphereConfigAware
Configure an AtmosphereFramework object.
configure(AtmosphereConfig) - Method in class org.atmosphere.inject.AtmosphereProducers
 
configure(AtmosphereConfig) - Method in class org.atmosphere.inject.InjectableObjectFactory
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.AtmosphereResourceLifecycleInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.AtmosphereResourceStateRecovery
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.AuthInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.BackpressureInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.CacheHeadersInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.CorsInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.HeartbeatInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.IdleResourceInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.JavaScriptProtocol
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.MessageAckInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.OnDisconnectInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.RateLimitingInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.SimpleRestInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.SSEAtmosphereInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.interceptor.TrackMessageSizeB64Interceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.metrics.AtmosphereTracing
 
configure(AtmosphereConfig) - Method in class org.atmosphere.pool.UnboundedApachePoolableProvider
 
configure(AtmosphereConfig) - Method in class org.atmosphere.room.RoomProtocolInterceptor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.util.DefaultEndpointMapper
 
configure(AtmosphereConfig) - Method in class org.atmosphere.util.VoidAnnotationProcessor
 
configure(AtmosphereConfig) - Method in class org.atmosphere.websocket.DefaultWebSocketProcessor
 
[...]
